apiVersion: broker.amq.io/v2alpha5
kind: ActiveMQArtemis
metadata:
  name: amq-broker
spec:
  version: 7.9.0
  adminUser: admin
  adminPassword: admin
  console:
    expose: true
  deploymentPlan:
    size: 1
    clustered: false
    image: "placeholder"
    persistenceEnabled: true
    requireLogin: true
    journalType: nio
    resources:
      storage:
        size: 2Gi
  acceptors:
    - name: "default"
      protocols: "core,openwire"
      port: 61626
